<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../parametros.php";
include "../conexion.php";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SISRECO</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
<LINK REL="SHORTCUT ICON" HREF="../icono.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

</head>
<BODY >
<?php
$id=$_REQUEST["producto"];
$saldototal=0;
$cantidadv_P="";$sumaentradatotal=0;$sumasalidatotal=0;$sumaventatotal=0;$color="";

  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto where id='".$id."'");
  while($datos= mysqli_fetch_row($sql_datosrs)){  $contar=$datos[0];}
  if($contar>=1)
  {
	echo "<center> <table width='100%' border='1' cellpadding='0' cellspacing='0' class='table table-hover'>";
	echo "<tr >";
	echo "<td class='btn-primary'>Nombre</td>";
	echo "</tr>";	
    
    $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,marca,iva,estado,linea,grupo,unidad,empresa
								from producto
								where id='".$id."'");
	while($datos= mysqli_fetch_row($sql_datosrs))
	{
		$id=$datos[0];
	 	$nombre=$datos[1];
		$descripcion=$datos[2];
		$marca=$datos[4];
		$iva=number_format($datos[5],0,'','.');
		$estado=$datos[6];
		$linea=$datos[7];
		$grupo=$datos[8];
		$unidad=$datos[9];
		$empresa=$datos[11];	

		if($estado=='A'){$nestado="Activo";}
		if($estado=='I'){$nestado="Inactivo";}

		   
	       $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM par_linea where id='".$linea."'");
		   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
		   
		   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM par_grupo where id='".$grupo."'");
		   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
		   
		   
		   $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM par_marca where id='".$marca."'");
		   while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}

			echo " <tr class='texto' bgcolor=$color>";										  
					 echo "<td>".$nombre."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	  echo "</table></center>";
	

	echo "<center><table width='100%' border='1' cellpadding='0' cellspacing='0'>
            <tr>
              <td colspan='4' align='center' class='btn-primary'>ENTRADA</td>
              <td colspan='4' align='center' class='btn-primary'>SALIDA</td>
              <td align='center' class='btn-danger'>&nbsp;</td>
            </tr>
            <tr>
              <td align='center' width='10%' class='btn-warning'>FECHA</td>
              <td align='center' width='20%' class='btn-warning'>DESCRIPCION</td>
              <td align='center' width='10%' class='btn-warning'>No. FACTURA</td>
              <td align='center' width='5%'  class='btn-warning'>CANTIDAD</td>
              <td align='center' width='10%' class='btn-success'>FECHA</td>
              <td align='center' width='20%' class='btn-success'>DESCRIPCION</td>
              <td align='center' width='10%' class='btn-success'>No. FACTURA</td>
              <td align='center' width='5%' class='btn-success'>CANTIDAD</td>
              <td align='center' width='10%'  class='btn-danger'>NUEVO SALDO</td>
            </tr>";
            
            
    $saldoe=0;
     $sql_datos=mysqli_query($conexion,"SELECT fecha,observacion,origen,cantidad,tipoes,idtipoes,fecsis,horasis,usuario
                                        from inventario_kardex where producto='".$id."' order by fecha asc");
	while($datos= mysqli_fetch_row($sql_datos))//01
		{  
		  $fecha=$datos[0];
		  $observacion=$datos[1];
		  $origen=$datos[2];
		  $cantidad=$datos[3];
		  $tipoes=$datos[4];
		  $idtipoes=$datos[5];
		  $fecsis=$datos[6];
		  $horasis=$datos[7];
		  $usuario=$datos[8];
		  
		  
		     echo "<tr >";
		     if($tipoes=='E')
		     {      $saldoe=$saldoe+$cantidad;
					echo " <td >".$fecha."</td>
					  <td >$observacion</td>
					  <td >$origen</td>	
					  <td align='right'>$cantidad</td>";
					  echo " <td>&nbsp;</td>
					   <td>&nbsp;</td>
					   <td>&nbsp;</td>	
					   <td>&nbsp;</td>
					   <td align='right'>$saldoe</td>";
		     }
		     else
		     {
		         $saldoe=$saldoe-$cantidad;
		         echo " <td>&nbsp;</td>
					   <td>&nbsp;</td>
					   <td>&nbsp;</td>	
					   <td>&nbsp;</td>";
    		         if($tipoes=='S' || $tipoes=='T')
        		        {  echo "<td >".$fecha."</td>
        					     <td >$observacion</td>
        					     <td >$origen</td>	
        					     <td align='right'>$cantidad</td>";
        					     
        		        }	    
        		  echo "<td align='right'>$saldoe</td>";      
		     }
					echo"</tr>";
					$c=$c+1;
		}
		 echo "</table></center>"; 
} 

?>
<form name="reporte" method="post" action="" >
  <div align="center">
    <input name='cerrar' type='button'  id='rep' value='Cerrar'   class="btn btn-primary" onClick="window.close();" >
  </div>
</form>
</body>
</html>